aboutsummaryrefslogtreecommitdiff
path: root/app/doc
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-12-02 01:15:20 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-12-02 01:15:20 +0000
commitc6f25ad07ec507a3eb3f886848fd4f06b4a4bb7b (patch)
tree55b389009cce7543e5536251dbf0675ecddd50c4 /app/doc
parentca274f16c2f8befb15159fa42455e10019d330c2 (diff)
downloadslackbuilds-c6f25ad07ec507a3eb3f886848fd4f06b4a4bb7b.tar.gz
slackbuilds-c6f25ad07ec507a3eb3f886848fd4f06b4a4bb7b.tar.bz2
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1484 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/doc')
-rw-r--r--app/doc/xmltoman/slack-required4
-rw-r--r--app/doc/xmltoman/xmltoman.SlackBuild153
2 files changed, 157 insertions, 0 deletions
diff --git a/app/doc/xmltoman/slack-required b/app/doc/xmltoman/slack-required
new file mode 100644
index 00000000..3514efa9
--- /dev/null
+++ b/app/doc/xmltoman/slack-required
@@ -0,0 +1,4 @@
+# Dependency list to xmltoman
+#
+# dependency [condition] [version]]
+perl
diff --git a/app/doc/xmltoman/xmltoman.SlackBuild b/app/doc/xmltoman/xmltoman.SlackBuild
new file mode 100644
index 00000000..fc55200e
--- /dev/null
+++ b/app/doc/xmltoman/xmltoman.SlackBuild
@@ -0,0 +1,153 @@
+#!/bin/bash
+#
+# xmltoman.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# xmltoman.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for xmltoman, by Rudson R. Alves
+# requires: perl
+# tested: xmltoman-0.3
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="xmltoman"
+PKG_NAME="xmltoman"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=0.3}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j7"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="${SRC_NAME}_$VERSION.orig.tar.gz"
+URL="http://ftp.debian.org/debian/pool/main/x/xmltoman/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Patch source
+patches="http://ftp.debian.org/debian/pool/main/x/xmltoman/xmltoman_0.3-1.diff.gz
+ $PKG_NAME.diff $PKG_NAME-$PKG_VERSION.diff
+ $PKG_NAME-$PKG_VERSION-$ARCH.diff $PKG_NAME-$ARCH.diff"
+for patch in $patches; do
+ if [ -f "$CWD/$patch" ]; then
+ patch -Np[[NUMBER OF PREFIX SLASHES TO STRIP]] < "$CWD/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch" ]; then
+ patch -Np[[NUMBER OF PREFIX SLASHES TO STRIP]] < "$CWD/patches/$patch" || exit $ERROR_PATCH
+ fi
+done
+
+# Buils package
+make PREFIX=$PREFIX
+
+# Install package
+make install PREFIX=$PKG/usr
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING readme.*"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+xmltoman: xmltoman by Slack.Sarava
+xmltoman:
+xmltoman: xmltoman and xmlmantohtml are two small scripts to convert xml to
+xmltoman: man pages in groff format or html. It features the usual man page
+xmltoman: items such a "description", "options", "see also" etc.
+xmltoman:
+xmltoman:
+xmltoman:
+xmltoman:
+xmltoman:
+xmltoman:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi